Bug 1298014 - firewalld regression from iptables service (rules not loaded at start)
firewalld regression from iptables service (rules not loaded at start)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 20:30 EST by gustavo panizzo <gfa>
Modified: 2016-12-20 12:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:49:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gustavo panizzo <gfa> 2016-01-12 20:30:42 EST
Description of problem:

firewalld doesn't apply its rules after reboot

Version-Release number of selected component (if applicable):
firewalld-0.3.9-14.el7.noarch rhel 7
firewalld-0.3.14.2-4.fc23.noarch fedora 23

How reproducible:

100% reproducible



Steps to Reproduce:
1. reboot server after define firewall rules

2. firewall-cmd --get-active-zones 
public
  interfaces: eth0 eth1 eth2

3. systemctl restart firewalld.service 

4. firewall-cmd --get-active-zones 
public
  interfaces: eth0 eth1
trusted
  interfaces: eth2

Actual results:

non-default firewall rules are not applied after reboot


Expected results:

rules defined using firewall-cmd should be applied at boot, even if network-manager is not in use


Additional info:

i have read the manpage when it says 
" If NetworkManager is not in use and firewalld gets started after the network is already up, the connections and manually created interfaces are not bound to the zone specified in the ifcfg file. The interfaces will
       automatically be handled by the default zone. firewalld will also not get notified about network device renames. All this also applies to interfaces that are not controlled by NetworkManager if NM_CONTROLLED=no is set. "

i think this feature is necessary otherwise firewalld is not very useful, i didn't need to edit /etc/sysconfig/network-scripts/ifcfg-ethX to get firewall rules applied at boot when i used /etc/init.d/iptables  

i think it is a regression from iptables service
Comment 1 Fedora End Of Life 2016-11-24 09:53:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:49:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.